Subject: bug#40123: glibc-locales: links missing in root user profile

From: david larsson <[email-masked]>
Date: Thu, 19 Mar 2020 11:43:40 +0100

On 2020-03-18 22:57, Mikael Djurfeldt wrote:
> Den ons 18 mars 2020 21:48david larsson <[email-masked]>
> skrev:
> 
>>> This led me to find my problem: For some reason, my
>>> ~root/.guix-profile was pointing to the current-guix profile
>> rather
>>> than the guix-profile.
>>> 
>>> It could have been me who did that. :(
>>> 
>>> Anyway, problem solved! This was not a guix bug.
>> 
>> Not so fast! I just did the same yesterday using the install-script
>> but
>> on a RedHat server, and my /root/.config/guix/current pointed at
>> /var/guix/profiles/per-user/MYOTHERUSER/current-guix instead of
>> /var/guix-profiles/per-user/root/current-guix which it should be
>> pointing at! I also think this is related to
>> https://lists.gnu.org/archive/html/bug-guix/2020-01/msg00241.html
> 
> I actually also think that there *is* a bug. But in my case it was
> either a lack in the documentation of how to setup .guix-profile or
> lack of getting this done automatically. This forced me into
> guesswork.
> 
> David, for your problem, I'm wondering if it couldn't be related to
> what everyone has asked me: how you become root.

That is very possible. There is a very informative deep-dive discussion 
about that here: https://issues.guix.gnu.org/issue/36785

> Best regards,
> Mikael